#lang "qb"
1 'Dissabbiatore longitudinale ideale
2 'Software by Nicola Rainiero
3 '\\--->  rainnic.altervista.org  <---//
4 DIM TEMPO AS INTEGER
5 DIM TEMPOP AS INTEGER
6 CLS:PRINT "__________________________________________________________________"
7 PRINT "Programma per la verifica di un dissabbiatore longitudinale ideale"
8 PRINT "Con l'impostazione elementare"
10 PRINT "by Nicola Rainiero - rainnic.altervista.org"
11 PRINT " "
12 PRINT "____________________________"
13 INPUT "Portata in ingresso Q[l/s]=";Q
14 INPUT "Velocita' di riduzione da garantire (0.30-0.50 m/s), u[m/s]=";U
15 A=0
16 PRINT "___________________________________________________________":PRINT "Verifica della velocita' nella sezione di riduzione Q/A < u"
17 DO WHILE ((Q*(10^-3)/A) > U)
18 INPUT "Larghezza utile del dissabbiatore B[m]=";B
19 INPUT "Altezza utile del dissabbiatore H[m]=";H
20 A=B*H
22 PRINT " "
23 UP = (Q*(10^-3)/A)
24 IF ((Q*(10^-3)/A) > U) THEN PRINT "Q/A=";UP;" m/s > u=";U;" m/s, cambia le dimensioni" ELSE PRINT "Q/A=";UP;" m/s < u=";U;" m/s, verifica soddisfatta"
25 LOOP
26 PRINT " "
27 PRINT "_______________________________________________________"
30 INPUT "Diametro particella da considerare (0.4-0.5 mm), D[mm]";D
40 INPUT "Peso specifico della particella (25-26.5 kN/m^3), GS[kN/m^3]=";GS
45 CLS
50 MIN=0.005
60 CDP=0.4 'da Vp(Gs-Gw)=Cd*Ap*Rw*w^2/2
63 'PRINT " "
64 PRINT "_____________________________________"
65 PRINT "Calcolo iterativo del coefficiente CD"
66 PRINT " "
70 'w=vel caduta in H20 ferma, da G=resistenza al moto in H20 ferma
71 PRINT "CD","W","RE","CDP"
80 CD=CDP
81 W=SQR(((4*(GS*(10^3))-9.81)*D*(10^-3))/(3*1000*CD)) 'W=SQR(4/3*(((GS-9.810)/9.810)*D*9.810))*(1/SQR(CD))
82 RE=(W*D*(10^-3))*10^6
90 IF RE>=1000 THEN CDP=0.4
100 IF (1<=RE) AND (RE<1000) THEN CDP=18.5/(RE^0.6)
110 IF RE<1 THEN CDP=24/RE
121 PRINT CD,W,RE,CDP
122 'INPUT P
130 IF ABS(CD-CDP)<=MIN THEN GOTO 135 ELSE GOTO 80
135 PRINT " "
140 INPUT "CONVERGENZA RAGGIUNTA, PREMI INVIO PER CONTINUARE",P
170 V=W-U/(5.7+2.3*H) 'm/s velocit H2O in movimento
180 L=H*U/V 'm lunghezza vasca
185 CLS
190 PRINT "_________________________________________________________________________"
191 T=H/V
192 PRINT "W=";W;" m/s","U=";U;" m/s","V=";V;" m/s"
193 PRINT "T=";T;" sec","A=";A;" mq"
194 TP=L/(Q*10^-3/(A))
200 PRINT " "
201 PRINT "LEGENDA:"
202 PRINT "W = velocita' di caduta in acqua ferma"
203 PRINT "U = velocita' media orizzontale"
204 PRINT "V = velocita' di caduta della particella in moto con velocita' U"
205 PRINT "T = tempo di caduta delle particelle (H/V)"
206 PRINT "A = area superficie utile"
217 PRINT " "
218 PRINT "Per la lunghezza della zona utile di prima approssimazione L[m]=";L
219 PRINT "il tempo di percorrenza T'=L*(Q*A)^-1, e' ";TP;" s"
221 PRINT " "
222 INPUT "PREMI INVIO PER CONTINUARE",P
223 PRINT " "
224 TEMPO = T
225 TEMPOP = TP
230 DO
240 TP=L/(Q*10^-3/(A))
241 TEMPOP = TP
250 L=L-MIN
255 'PRINT T,L,TP
256 'INPUT P
260 LOOP WHILE TEMPOP>TEMPO
261 LT=2*H/2+L
262 PRINT "Per L=";L;" m, T'=";TP;" s > T=";T;" s"
263 PRINT "_________________________________________________________________________"
266 PRINT "La lunghezza totale del dissabbiatore Ltot=L+H e' quindi";LT;" m"
500 PRINT " "
570 INPUT "PREMI INVIO PER USCIRE",P
